Package org.eclipse.m2m.atl.engine.vm.nativelib

## Class ASMHashModelElement

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
  - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
    - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType
      - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMModelElement
        - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMHashModelElement

    public class ASMHashModelElement
    extends ASMModelElement

Deprecated.
Prototype ASMModelElement using HashMaps for storage. It has not been updated for a long time and may not work without some improvements.

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType

`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

### Constructor Summary

Constructors
`ASMHashModelElement​(ASMModel model, ASMModelElement metaobject)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`ASMBoolean` `conformsTo​(ASMOclType other)` Deprecated.
`ASMOclAny` `get​(StackFrame frame, java.lang.String name)` Deprecated.
`ASMModelElement` `getProperty​(java.lang.String name)` Deprecated.
`ASMModelElement` `getPropertyType​(java.lang.String name)` Deprecated.
`void` `set​(StackFrame frame, java.lang.String name, ASMOclAny value)` Deprecated.
`void` `unset​(StackFrame frame, java.lang.String name)` Deprecated.

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMModelElement

`createNewInstance, getAcquaintance, getMetaobject, getModel, getName, lookupElementExtended, otherEnd, setMetaobject, setName, toString`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclType

`addSupertype, conformsTo, getName, getSupertypes, getVMOperations, registerHelperAttribute, registerVMOperation, registerWeavingHelper`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, setType, toString`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ASMHashModelElement

    public ASMHashModelElement​(ASMModel model,
                               ASMModelElement metaobject)

Deprecated.

### Method Detail

#### get

    public ASMOclAny get​(StackFrame frame,
                         java.lang.String name)

Deprecated.
Description copied from class: `ASMOclType`

Specified by:
  `get` in class `ASMModelElement`
See Also:
  `ASMOclAny.get(org.eclipse.m2m.atl.engine.vm.StackFrame, java.lang.String)`

#### set

    public void set​(StackFrame frame,
                    java.lang.String name,
                    ASMOclAny value)

Deprecated.

Overrides:
  `set` in class `ASMModelElement`

#### unset

    public void unset​(StackFrame frame,
                      java.lang.String name)

Deprecated.

Overrides:
  `unset` in class `ASMOclAny`
See Also:
  `ASMOclAny.unset(org.eclipse.m2m.atl.engine.vm.StackFrame, java.lang.String)`

#### conformsTo

    public ASMBoolean conformsTo​(ASMOclType other)

Deprecated.

Specified by:
  `conformsTo` in class `ASMModelElement`

#### getProperty

    public ASMModelElement getProperty​(java.lang.String name)

Deprecated.

Specified by:
  `getProperty` in class `ASMModelElement`

#### getPropertyType

    public ASMModelElement getPropertyType​(java.lang.String name)

Deprecated.

Specified by:
  `getPropertyType` in class `ASMModelElement`